Bug 1130782 - NetworkManager doesn't auto-connect a GSM connection
Summary: NetworkManager doesn't auto-connect a GSM connection
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-17 17:19 UTC by David Juran
Modified: 2015-06-29 22:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 22:06:24 UTC


Attachments (Terms of Use)
startup log from NetworkManager (16.55 KB, text/x-log)
2014-08-17 17:19 UTC, David Juran
no flags Details
lsusb output (355 bytes, text/plain)
2014-08-19 19:15 UTC, David Juran
no flags Details
NetworkManager log while manually activating the connection (14.55 KB, text/plain)
2014-08-19 19:37 UTC, David Juran
no flags Details
syslog while physically re-connecting the modem (11.77 KB, text/x-log)
2014-08-19 19:38 UTC, David Juran
no flags Details
Network and ModemManager log during startup (29.52 KB, text/x-log)
2014-08-19 19:38 UTC, David Juran
no flags Details
log of boot where device is OK (30.60 KB, text/plain)
2014-08-23 17:43 UTC, David Juran
no flags Details

Description David Juran 2014-08-17 17:19:21 UTC
Created attachment 927516 [details]
startup log from NetworkManager

Description of problem:
GSM type connections fail to autoconnect when server is powered on.

Version-Release number of selected component (if applicable):
NetworkManager-0.9.9.0-43.git20131003.fc20.x86_64
ModemManager-1.1.0-2.git20130913.fc20.x86_64


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
[root@localhost ~]# nmcli -f all connection show 
NAME               UUID                                  TYPE            TIMESTAMP   TIMESTAMP-REAL                 AUTOCONNECT  READONLY  DBUS-PATH                                  
p4p2               cab144f0-e95d-4af5-bf9d-485e601c3e2e  802-3-ethernet  1408294586  Sun 17 Aug 2014 18:56:26 CEST  yes          no        /org/freedesktop/NetworkManager/Settings/2 
p4p1               0086666d-28e2-4243-b6d7-b82a3457da2a  802-3-ethernet  1406641294  Tue 29 Jul 2014 15:41:34 CEST  no           no        /org/freedesktop/NetworkManager/Settings/1 
bridge-slave-p4p1  48096719-ca8d-4f1b-8daf-ac36a026d6a8  802-3-ethernet  1408294586  Sun 17 Aug 2014 18:56:26 CEST  yes          no        /org/freedesktop/NetworkManager/Settings/0 
gsm-cdc-wdm0       8ab15789-2239-46e8-97a3-5429d826e94b  gsm             1408294586  Sun 17 Aug 2014 18:56:26 CEST  yes          no        /org/freedesktop/NetworkManager/Settings/4 
bridge             ce7ff754-5559-417b-9fab-2cc64505e327  bridge          1408294586  Sun 17 Aug 2014 18:56:26 CEST  yes          no        /org/freedesktop/NetworkManager/Settings/3 

Running
 
nmcli connection up gsm-cdc-wdm0 

once the server has booted brings up the connection just fine.


Attaching output of " journalctl -u NetworkManager.service -b -l" just after boot

Comment 1 Jirka Klimes 2014-08-19 08:54:13 UTC
Hmm. Can you attach output of lsusb and ModemManager logs? NetworkManager logs of activation the connection via nmcli would be helpful, too. Thanks.

Comment 2 David Juran 2014-08-19 19:15:46 UTC
Created attachment 928492 [details]
lsusb output

Comment 3 David Juran 2014-08-19 19:36:10 UTC
Something is really strange here!

The attached "startup.log" is the log of NetworkManager and ModemManager while the computer is starting.

Once started, I ran the usual "nmcli connection up bredband" But then I got
Error: No suitable device found: no device found for connection 'bredband'.

I then unplugged and re-plugged the USB modem (reconnect.log is the systemlog from this event). 

But after the modem had ben re-plugged the PIN entry had disappeared from /etc/NetworkManager/system-connections/gsm-cdc-wdm0 How on earth did this happen, is this a separate bug?
I then re-entered the PIN 

 nmcli connection modify bredband gsm.pin 3425

And then "nmcli connection up bredband" brought the network up, the attached activation log is the NetworkManager and ModemManager log is from this event.

Comment 4 David Juran 2014-08-19 19:37:21 UTC
Created attachment 928496 [details]
NetworkManager log while manually activating the connection

Comment 5 David Juran 2014-08-19 19:38:02 UTC
Created attachment 928497 [details]
syslog while physically re-connecting the modem

Comment 6 David Juran 2014-08-19 19:38:41 UTC
Created attachment 928498 [details]
Network and ModemManager log during startup

Comment 7 David Juran 2014-08-23 17:43:50 UTC
Created attachment 929977 [details]
log of boot where device is OK

Turns out it's not always that there is a problem with the device. Attached is another log of NetworkManager and ModemManager during boot up. As usual, the GSM 
connection didn't come up. But when I then logged in on the computer, it was sufficient to just run

nmcli con up bredband

and the connection was established. With other words, I didn't have to play around with connecting or reconnecting the device.

Comment 8 Fedora End Of Life 2015-05-29 12:39:23 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2015-06-29 22:06:24 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.